Loading...
Searching...
No Matches
jni::EnvAttachingDeleter< DeleteRef > Class Template Reference

`#include <advanced_ownership.hpp>`

## Public Member Functions

| EnvAttachingDeleter ()=default
| EnvAttachingDeleter (JNIEnv &e)
void | operator() (jobject *p) const

## Constructor & Destructor Documentation

## EnvAttachingDeleter() [1/2]

template<RefDeletionMethod DeleteRef>

jni::EnvAttachingDeleter< DeleteRef >::EnvAttachingDeleter | ( |  | ) |

default

## EnvAttachingDeleter() [2/2]

template<RefDeletionMethod DeleteRef>

jni::EnvAttachingDeleter< DeleteRef >::EnvAttachingDeleter | ( | JNIEnv & | e | ) |

inline

## Member Function Documentation

## operator()()

template<RefDeletionMethod DeleteRef>

void jni::EnvAttachingDeleter< DeleteRef >::operator() | ( | jobject * | p | ) | const

inline

The documentation for this class was generated from the following file:

- /build/lime-9DdzML/lime-5.3.105+dfsg/src/jni/advanced_ownership.hpp